#include <iostream>

using namespace std;

struct boban
{
    long long int m;
    int n,k;
};
bool mozeli(int n,long long int m,int k)
{
    int d,x,l=k-1;
    if(n/k>0)
    {
        if((float)(n/k+0.5)<=(float)n/k)
        {
            d=n/k+1;
            x=(k-1)*d;
            if(((x*(x+1)/2)*l+(n-d*l)*((n-d*l)+1)/2)>m)
                return false;
            return true;
        }
        else
        {
            d=n/k;
            x=(k-1)*d;
            if(((x*(x+1)/2)*l+(n-d*l)*((n-d*l)+1)/2)>m)
                return false;
            return true;
        }
    }
    else return false;
}
int main()
{
    ios::sync_with_stdio(false);
    char t;
    cin>>t;
    boban test[t];
    for(int i=0;i<t-48;i++)
        cin>>test[i].n>>test[i].m>>test[i].k;

    for(int i=0;i<t-48;i++)
    {
        if(mozeli(test[i].n,test[i].m,test[i].k))
            cout<<"Tak"<<endl;
        else
            cout<<"Nie"<<endl;
    }
    return 0;
}